
body {
  height: 100vh;
  width:100%;
  margin: 0;
  font-size: 20px;
  background-color: #d9e0e2;
}


@media (max-width: 400px) {
  body {
    font-size: 5px;
  }
}

@media (max-width: 768px) {
  body {
    font-size: 12px;
  }
}

img {
  max-width: 100%;
  max-height: 100%;
}

/* Small screen (e.g., mobile devices) */
@media (max-width: 400px) {
  img {
    max-width: 100%;
    height: auto; /* maintain aspect ratio */
  }
}

/* Medium screen (e.g., tablets) */
@media (max-width: 768px) and (min-width: 401px) {
  img {
    max-width: 100%;
    height: auto; /* maintain aspect ratio */
  }
}


pama-frame {
  background-color: #d9e0e2;
  border: 1px solid #ddd;
  border-radius: 0.1%;
  overflow-y: auto; /* or overflow-y: scroll; */
}

.horizontal-scroll {
  display: flex;
  overflow-x: auto;
  overflow-y: hidden;
  max-width: 100%;
}

.horizontal-scroll::-webkit-scrollbar {
  display: none;
  height: 15%;
  background-color: #ccc;
}

.horizontal-scroll::-webkit-scrollbar-thumb {
  background-color: #666;
  border-radius: 2%;
}

.item {
  flex-shrink: 0;
  width: 20%; /* Adjust the width as needed */
  margin: 10px;
}

 .container {
    position: relative;
    right:-1%;
    left: -1%;
    padding: 20px;
    background-color: #ddd;
    border: 10px solid white;
    border-radius: 12px;
    box-shadow: 0 0 10px rgba(31, 28, 209, 0.1);
    overflow-y: auto; /* or overflow-y: scroll; */
    overflow-x: auto; /* or overflow-y: scroll; */
    scrollbar-width: none; /* for Firefox */
  -ms-overflow-style: none; /* for Internet Explorer and Edge */
  display: visible;
  z-index: 100;
  }

.container h3{
font-style: unset;
background: linear-gradient(to bottom, #8b8016 70%, #e95632 30%);
background-clip: text;
color: transparent;
font: arial;
font-size: 100%;
  }
  
  .product-list {
    display: flex;
    flex-direction: column;
  }
  
  .page {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
  }
  
  .product {
    width: 45%;
    margin: 1%;
    padding: 1%;
    background-color:#ddd;
    border: 0% solid #ddd;
   
    margin-left: -5px;
  }

  .product img{
    width: 99%;
    height: 70%;
    margin-bottom: 2px;
    border-radius: 2px;
    margin-left: -10px;
  }

  .product h3, .product p{
    margin-bottom: 5px; /* adjust the margin to your liking */
    margin-top: 5px;
    padding: 0; /* remove any unnecessary padding */
    font-size: 100%;
  }
  

/* Desktop */
@media (max-width: 1200px) {
  .product {
    width: 45%;
  }
}

/* Tablet */
@media (max-width: 768px) {
  .product {
    width: 45%;
  }
}

/* Mobile */
@media (max-width: 480px) {
  .product {
    width: 90%;
    margin:4% auto;
  }
  .container h3 {
    font-size: 150%;
  }
}

  .popup-views {
    position: absolute;
    margin-left: -10px;
    margin-top: -10px;
    background-color: #ddd;
    padding: 13x;
    border: 1px solid #ddd;
    width: 44%;
    height: 19%;
    display: none;
    z-index: 1000;
  }

  @media (max-width: 768px) {
    .popup-views {
      width: 100%; /* adjust width for smaller screens */
      height: 10%; /* adjust height to fit content */
      margin-left: 0; /* reset margin-left */
      margin-top: 0; /* reset margin-top */
      padding: 5px; /* adjust padding for better readability */
    }
  }
  
  @media (max-width: 400px) {
    .popup-views {
      width: 100%; /* further adjust width for very small screens */
      height: 5%; /* adjust height to fit content */
      padding: 15px; /* further adjust padding */
    }
  }  

  .popup-views img{
    width: 100%;
    height: 100%;
    margin-bottom: 2px;
    border-radius: 2px;
    margin-left: -10px;
    z-index: 1000;
  }

  .pagination {
    margin-top: 20px;
    text-align: center;
  }
  
  #prev-button, #next-button {
    padding: 10px 20px;
    background-color: #ddd;
    color: #10181afb;
    border: 2px solid white;
    border-radius: 5px;
    cursor: pointer;
  }

  #prev-button:hover, #next-button:hover {
    background-color: #f8f666fb;
  }

  .add-to-cart {
    padding: 5px 5px;
    background-color: #ddd;
    color: #ec280e;
    border: 2px solid #0b2938;
    border-radius: 5px;
    cursor: pointer;
  }

  .drive-to-view {
    padding: 5px 5px;
    background-color: #ddd;
    color: #1c7443;
    border: 2px solid #0b2938;
    border-radius: 5px;
    cursor: pointer;
  }
  
  .order-board {
    position: relative;
    float: left;
    background-color: #ddd;
    padding: 20px;
    border: 2px solid #ddd;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    overflow-y: auto; /* or overflow-y: scroll; */
    overflow-x: auto; /* or overflow-y: scroll; */
    scrollbar-width: none; /* for Firefox */
  -ms-overflow-style: none; /* for Internet Explorer and Edge */
    display: flex;
    gap: 3%;
  }
  
  .cart-page {
    width: 98%;
    height: 100%;
    background-color: #ddd;
    padding: 20px;
    border: 1px solid #ddd;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    display:none
  }

  .cart-page > ul > li {
    padding: 10px;
    border-bottom: 1px solid #0a475a;
    font-size: 18px;
    color: #0a475a;
    margin-left: -30px;
  }
  
  .cart-page > ul > li:last-child {
    border-bottom: none;
  }

  .invalid {
    border: 1px solid red;
  }

   #whatsapp-btn {
  display: none;
  position: fixed;
  bottom: 22%;
  right: 20%;
  background-color: #25D366;
  color: white;
  border: none;
  padding: 12px 18px;
  border-radius: 30px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
  cursor: pointer;
  font-size: 16px;
  z-index: 9999;
  display: flex;
  align-items: center;
  text-decoration: none;
}
#whatsapp-btn img {
  margin-right: 10px;
}
  
  #order-confirmation {
    background-color: #e7f1ec;
    width: 90%;
    padding: 20px;
    border-radius: 10px;
    display:none
  }

  #confirm-button {
    padding: 20px;
    border-radius: 10px;
    padding-left: 70px;
    display:none
  }

  .payment-board{
    position: absolute;
    top: 70%; /* adjust the top position as needed */
    left: 40%;
    width: 30%;
    background-color: #ddd;
    padding: 20px;
    border: 2px solid red;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    display:none;
    z-index: 1000;
  }

  .payment-screen {
    width: 80%;
    height: 100%;
    background-color: #39f067;
    padding: 20px;
    border: 1px solid #ddd;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    z-index: 1000;

  }

  #mtn-button {
    background-color: yellow;
    color: black;
    padding: 10px 20px;
    border: 4px solid #39f067;
    border-radius: 5px;
    cursor: pointer;
  }
  
  #airtel-tigo-button {
    background-color: blue;
    color: white;
    padding: 11px 22px;
    border: 1px solid red;
    border-radius: 5px;
    cursor: pointer;
  }
  
  #vodafone-button {
    background-color: red;
    color: white;
    padding: 11px 20px;
    border: 1px solid #f7f6f8;
    border-radius: 5px;
    cursor: pointer;
  }
  
  #make-payment-button {
    background-color: green;
    color: white;
    padding: 10px 20px;
    border: 2px solid #f7f6f8;
    border-radius: 5px;
    cursor: pointer;
  }
  
  #bank-transfer-button {
    background-color: rgb(228, 54, 213);
    color: white;
    padding: 10px 20px;
    border: 3px solid #39f067;
    border-radius: 5px;
    cursor: pointer;
  }

  .banner-frame{
    position: relative;
    left: 10%;
    /*background-color: rgba(9, 39, 17, 0.945);*/
    background-color: #ddd;
    padding: 2%;
    border: 1px solid #ddd;
    box-shadow: 0 0 10px #ddd;
    height: 70%;
    display: inline-block;
    gap:3%;
  }

  .banner {
    width: 75%;
    height: 97%;
    background-color: #fff;
    padding: 10px;
    border: 1px solid #ddd;
    border-radius: 10px;
    box-shadow: 10px 0 0 rgba(1, 0, 0, 0.0)
  }

  .show {
    display: block;
  }

    .banner-slider {
      position: relative;
      width: 100%;
      height: 100%; /* adjust the height as needed */
      overflow: hidden;
    }
    
    .slide {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      display: none;
    }
    
    .active-slide {
      display: block;
    }

    .shoplabels {
      display: block;
      color:#646362
    }

    .banner-prev, .banner-next {
      position: absolute;
      top: 50%;
      transform: translateY(-50%);
      font-size: 24px;
      cursor: pointer;
      background-color: transparent;
      border: none;
      color: #fff;
      opacity: 0.2;
      transition: opacity 0.3s ease-in-out;
      z-index: 1; /* Add this line */
    }    
    
    .banner-prev:hover, .banner-next:hover {
      opacity: 1;
    }
    
    .banner-prev {
      left: 0;
    }
    
    .banner-next {
      right: 0;
    }

    /* Media Query for smaller screens */
@media (max-width: 768px) {
  .banner-frame {
    left: 0;
    padding: 10px;
    height: 70%;
    display: inline-block;
  }
  
  .banner {
    width: 100%;
    height: 70%;
  }
  
  .banner-prev, .banner-next {
    font-size: 18px;
  }
}
    
    #muted-button {
      position: absolute;
      bottom: 1px;
      right: 5px;
      border: 1px solid #494aa5;
      padding: 5px 7px;
      font-size: 16px;
      cursor: pointer;

      transform: translateY(-50%);
      background-color: transparent;
      opacity: 0.5;
      transition: opacity 0.3s ease-in-out;
      z-index: 1; /* Add this line */
    }

    #muted-button:hover{
      opacity: 1;
    }

     .classy-container {
    position: relative;
    float: left;
    background-color: #ddd;
    padding: 20px;
    border: 2px solid #ddd;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    display: flex;
    gap: 3%;
    padding-top: 6%; /* Add padding-top to create space */
  }

  .classy{
    margin-left: 0%;
    width: 98%;
    height: 95%;
    background-color: #ddd;
    padding: 2%;
    border: 1px solid #ddd;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  }

  .classy-slider {
    display: flex;
    width: 98%;
  }  

  .classy img {
    width: 100%;
    height: 98%;
    object-fit: contain;
  }

  .classy-slider h3 {
    color: #fff; /* White text color */
    position: absolute; /* Position it absolutely */
    top: 2.5%; /* Move it above the images */
    left: 0; /* Align it to the left */
    width: 100%; /* Take full width */
    text-align: left; /* Center the text */
    padding-left: 5%;
  }
  
/* Desktop and laptop screens */
@media (max-width: 1200px) {
  .classy-container {
    padding-top: 6%;
  }
  .classy-slider h3 {
    top: 2.5%;
    font-size: 18px;
  }
}

/* Tablet screens */
@media (max-width: 768px) {
  .classy-container {
    padding-top: 4%;
    flex-direction: column;
  }
  .classy-slider {
    width: 107%;
  }

  .classy {
    width: 100%;
    height: auto;
  }
  .classy-slider h3 {
    top: 3%;
    font-size: 12px;
  }
}

/* Mobile screens */
@media (max-width: 480px) {
  .classy-container {
    padding-top: 5%;
    padding: 7%;
  }
  .classy-slider {
    width: 109%;
  }
  .classy {
    width: 100%;
    height: auto;
    padding: 4%;
    margin-left: -7.6%;
  }
  .classy-slider h3 {
    top: 1.5%;
    font-size: 8px;
    padding-left: 1%;
  }
  .classy img {
    height: auto;
  }
}

.prev-btn {
  position: absolute;
  left: -2%;
  top: 50%;
  transform: translateY(-50%);
}

.next-btn {
  position: absolute;
  right: -2%;
  top: 50%;
  transform: translateY(-50%);
}

/* Tour slide */
  .classy-container {
    position: relative;
    float: left;
    background-color: #ddd;
    padding: 20px;
    border: 2px solid #ddd;
    display: flex;
    gap: 3%;
    padding-top: 6%; /* Add padding-top to create space */
  
  }

  .classy{
    margin-left: 0%;
    width: 98%;
    height: 95%;
    background-color: #fff;
    padding: 2%;
    border: 1px solid #ddd;
    border-radius: 10px;
  }

  .classy-slider {
    display: flex;
    width: 98%;
  }  

  .classy img {
    width: 100%;
    height: 98%;
    object-fit: contain;
  }

  .classy-slider h3 {
    color: #0e0b33; /* White text color */
    position: absolute; /* Position it absolutely */
    top: 3%; /* Move it above the images */
    left: 0; /* Align it to the left */
    width: 100%; /* Take full width */
    text-align: left; /* Center the text */
    padding-left: 10%;

  }
  
/* Desktop and laptop screens */
@media (max-width: 1200px) {
  .classy-container {
    padding-top: 6%;
  }
  .classy-slider h3 {
    top: 2.5%;
    font-size: 18px;
  }
}

/* Tablet screens */
@media (max-width: 768px) {
  .classy-container {
    padding-top: 3%;
    flex-direction: column;
  }
  .classy-slider {
    width: 107%;
  }

  .classy {
    width: 100%;
    height: auto;
  }
  .classy-slider h3 {
    top: 3%;
    font-size: 12px;
  }
}

/* Mobile screens */
@media (max-width: 480px) {
  .classy-container {
    padding-top: 5%;
    padding: 7%;
  }
  .classy-slider {
    width: 109%;
  }
  .classy {
    width: 100%;
    height: auto;
    padding: 4%;
    margin-left: -7.6%;
  }
  .classy-slider h3 {
    top: 1.5%;
    font-size: 8px;
    padding-left: 1%;
  }
  .classy img {
    height: auto;
  }
}

.prev-btn {
  position: absolute;
  left: -2%;
  top: 50%;
  transform: translateY(-50%);
}

.next-btn {
  position: absolute;
  right: -2%;
  top: 50%;
  transform: translateY(-50%);
}
